Subject: Linux-Misc Digest #905
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sun, 9 Oct 94 00:13:12 EDT

Linux-Misc Digest #905, Volume #2                 Sun, 9 Oct 94 00:13:12 EDT

Contents:
  Re: [Q] capture echo & error ? (Kevin Dooley)
  Re: Help for NCR 53C810 SCSI disk & Video ATI-68800 chip set (Warwick Allison)
  ISDN for LINUX (Paul Moyer)
  DX2-66 @ 80MHz (was: AMD mystery chip etc. etc.) (Andrew Robert Ellsworth)
  seyon question.. (Wadley James Capel)
  Speeding Linux Tar ([email-masked])
  Re: seyon question.. (Jinwoo Shin)
  Re: X News-reader for LinuX (Don Rubin)
  Re: DOSEMU/Linux 1.1.51 (Matt Warnock)
  Re: Telnet & ftp freeze! - AND possible FIX (Thomas E Zerucha)
  Re: Nailed down to 386bsd or linux, now which one? (Jeff Kesselman)
  Why doesn't EMAIL work? (Paul Pearson)
  Re: Q: Max # of ftp/gopher/http users on a Linux PC? (Kevin Martinez)
  Re: New book for Linux! (Phil Hughes)
  Re: Lilo booting last booted OS.
  Re: Beautifying Linux/Xfree (Tom Wilson)

----------------------------------------------------------------------------

From: [email-masked] (Kevin Dooley)
Subject: Re: [Q] capture echo & error ?
Date: 8 Oct 1994 20:22:40 -0500

david her ([email-masked]) wrote:
: How can I capture both echo & error while a script or program is running ?
: Sometimes I have to send the complete session of a job , but all I know is
: 1) redirect echo ex. make > myfile
: 2) redirect error ex. make 2> error
: then manually combine myfile+error and arrange error correspond to event
: inside of myfile. Is any easy way just capture all echo as stdout what I
: saw on terminal ?

The easiest way is to redirect stderr to stdout, for example,

        make > myfile 2>&1

The '&' converts stderr to the file number following: '1' or stdout

Hope this helps,
Kevin

PS. echo displays on stdout.

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Kevin E. Dooley                               Chicago Board Options Exchange
[email-masked]                                              [email-masked]
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

        

-- 

-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Kevin E. Dooley                               Chicago Board Options Exchange
                                           400 S. LaSalle, Chicago, IL 60605
[email-masked]                                              [email-masked]
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

------------------------------

From: [email-masked] (Warwick Allison)
Crossposted-To: comp.os.linux
Subject: Re: Help for NCR 53C810 SCSI disk & Video ATI-68800 chip set
Date: 7 Oct 1994 06:20:50 GMT

[email-masked] (Pradeep Chetal) writes:

>I just installed Linux on a DELL machine with slackware from sunsite.
>I had to pick up a modified ncr roootdisk for SCSII NCR 53C810 disk, which was
>there called ncr.gz and I picked it up and it does WORK!!

>BUT when I create the boot disk from setup, the kernel there is 
>NOT capable of NCR SCSI. How can I update the system kernel & boot disk kernel
>to be same as the root disk 'ncr' kernel.

You need to install the ncr disks (in directories ncr1 and ncr2) also,
as it contains the kernel.  (actually, you only need to install part of it)

--
Warwick
--
  _-_|\      [email-masked]            /
 /     * <-- Computer Science Department,  /      WIT SPACE TO LET
 \_.-._/     University of Queensland,    /
      v      Brisbane, Australia.        /

------------------------------

From: [email-masked] (Paul Moyer)
Crossposted-To: comp.os.linux
Subject: ISDN for LINUX
Date: 4 Oct 1994 17:39:54 -0400

I recently posted a question in comp.dcom.isdn requiring about
the need for an ISDN adapter card supported under PC/UNIX.  The
response was very positive (in that there is a need for PC/UNIX
ISDN card) and was overwhelmed with requests to implement the
drivers for Linux support.

The ISDN hardware board is that which is sold by Intel (Inter
RemoteExpress ISDN LAN Adapter). This card currently support DOS,
Windows and Windows NT environments and sells for $499.

Question:  If'n we could sell that board to you for around $400,
with the Linux drivers (in addition to the existing drivers), how
many of you would be willing to belly up to the bar????

Please respond to [email-masked].  I look forward to
hearing from you.

Sincerely,
CDA Incorporated

Paul Moyer
(703) 821-1858

------------------------------

From: [email-masked] (Andrew Robert Ellsworth)
Crossposted-To: comp.sys.ibm.pc.hardware.systems,comp.os.linux.admin
Subject: DX2-66 @ 80MHz (was: AMD mystery chip etc. etc.)
Date: 8 Oct 1994 12:47:40 -0500

>I heard that AMD's version is more reliable than Intel's, and that many
>people have overclocked it to 80 MHz with no problems.  There was even
>a rumor going around that AMD would start to sell them as 486DX2-80's.
>If you see an AMD 486DX2-80 system for sale, I guess the rumor is true.

I've -heard- of many people overclocking Intel DX2-66's as well, and even went
so far as to contact some fellow overseas (via the net of course) who was 
running his at 80 MHz.  I have a DX2-66 (SL enhanced, if that matters -- but
it still runs at 5 volts) and a clock-selectable motherboard (25,33,40,50).  
I'd -like- to be able to get a >20% increase in speed by moving a jumper, but
my main concern is the operaing temperature of the chip.  The way my MB is set
up, I have room for about a 3/8" high heat sink on the chip, but a CPU fan 
blocks three of my ISA slots (excellent engineering...), so I rigged a CPU fan
to blow -across- my heat sink, which is better than nothing at all.  Unlike
my friend's P60, which will fry eggs, I can -just barely- keep my finger on my
heat sink without it getting too hot to touch.  I'm just wondering if I can
keep my chip within specs (assuming it doesn't kill it right off the bat) with
the jig-rigged cooling setup I've got now.

Anyone have any input on this?

Andy Ellsworth
[email-masked]

------------------------------

From: [email-masked] (Wadley James Capel)
Subject: seyon question..
Date: Sat, 8 Oct 1994 11:36:36 GMT

Hi..

I want to ask whether I can setenv DISPLAY from the worksatation in the univ
as I use the dialup line to connect my PC running linux to the workstation?

I am using seyon terminal emulator and running startx. 
If can't, how can I setenv DISPLAY to my PC except using SLIP account, as my
univ does not have SLIP account.

Thanks for any help.

--
Kenneth

------------------------------

From: [email-masked]
Subject: Speeding Linux Tar
Date: 8 Oct 94 19:11:28 EST

I have a 486DX2/66 with Future Domain 1670 SCSI and a Caliper CP150 
tape streamer.  The backup performance is slower than I would like.
I know the drive is capable of 6+MB/min.  Any ideas on how to speed
tar / tape transfer?

-Fred Heitkamp
Please E-Mail Thanks!!

------------------------------

From: [email-masked] (Jinwoo Shin)
Subject: Re: seyon question..
Date: 8 Oct 94 18:01:42 GMT

[email-masked] (Wadley James Capel) writes:

>If can't, how can I setenv DISPLAY to my PC except using SLIP account, as my
>univ does not have SLIP account.

Try Term. I'm sure it's available at sunsite.unc.edu. Or if you are using 
slackware distribution, it comes with one of the packages. You'll have to 
tinker it a while to get things working right though.
-- 
Jinwoo Shin                             [email-masked]
System Administrator                    
Berkeley Sensor and Actuator Center

------------------------------

From: [email-masked] (Don Rubin)
Subject: Re: X News-reader for LinuX
Date: 4 Oct 1994 22:02:27 GMT

I use XRn and it leaves alot to be desired. Has anyone built
xvNews for Linux? I would be interested in hearing about any
other X newsreaders too. 

Don
-- 
                                      ,,,                                     
                                     (o o)                                    
_/ _/ _/ _/ _/ _/ _/ _/ _/ _  _/ oOO--(_)--OOo _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/
_/  Don Rubin                                  Voice: 301-588-8010           _/
_/  Systems Engineering Technology Inc.        Fax:   301-588-0154           _/
_/  9703 Forest Glen Court                     Internet: [email-masked]    _/
_/  Silver Spring, MD 20910-1121               Compuserve: 70402,2714        _/
_/ _/ _/_/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/ _/

------------------------------

From: [email-masked] (Matt Warnock)
Subject: Re: DOSEMU/Linux 1.1.51
Date: 8 Oct 1994 11:02:00 -0700

In article <[email-masked]>,
Ross Boswell <[email-masked]> wrote:
>Oz Dror ([email-masked]) wrote:
>: DOSEMU Pre0.53pl25
>: there is at least one problem. Only root can run it. I check permission
>: of dos it seems OK.
>I have this problem too.  Any solutions?

There is a file /etc/dosemu.users (it think that was the name) that needs to
be set up.  If you redirect stderr to a file it will tell you that user x
is not in the file.  The docs haven't caught up, yet, I guess.
-- 
W. Matthew Warnock, Attorney ([email-masked])          Tel:408.778.7273 
60 West Main Avenue, Suite 12A, Morgan Hill CA  95037-4553  Fax:408.778.7989

------------------------------

From: [email-masked] (Thomas E Zerucha)
Crossposted-To: comp.os.linux.help,comp.os.linux.development
Subject: Re: Telnet & ftp freeze! - AND possible FIX
Date: 8 Oct 1994 18:24:58 GMT

Please undo my previous patch.

I think the following code should fix the problem.  It works on my system.
It corrects a locked socket buffer problem with ppp.c (the one with 2.1.2a).
(change is at the end of ppp_xmit).  (compare 3c505.c).

---
[email-masked] - main email address

*** linhb/drivers/net/ppp.c     Fri Sep 16 22:09:22 1994
--- linux/drivers/net/ppp.c     Sat Oct  8 13:40:07 1994
***************
*** 1760,1767 ****
    ppp_kick_tty(ppp);
  
   done:
    if (skb->free) 
!     kfree_skb(skb, FREE_WRITE);
    return 0;
  }
    
--- 1760,1769 ----
    ppp_kick_tty(ppp);
  
   done:
+ #if 0
    if (skb->free) 
! #endif
!     dev_kfree_skb(skb, FREE_WRITE);
    return 0;
  }

------------------------------

Crossposted-To: comp.os.386bsd.misc
From: [email-masked] (Jeff Kesselman)
Subject: Re: Nailed down to 386bsd or linux, now which one?
Date: Thu, 6 Oct 1994 06:00:01 GMT

In article <[email-masked]>, J.J. Paijmans <[email-masked]> wrote:
>In article <[email-masked]> [email-masked] (Mark Tinguely) writes:
>...
>
>>
>>3) there is a slight culture difference between all of the groups. IMO, Linux
>>   is more DOS friendly, *BSD are more DOS-phobic. NetBSD is multi-platform,
>            ^^^^^^^^^^^^
>
>Ummm. If I see what the "DOS friendly" linux users here have to say about
>DOS and MS-Windows, it certainly makes me curious how the DOS-phobic
>BSD crowd talk about the Microsoft world... :-)
>
>Paai
>
>
>
>

Hey, at least the Linux community are willignto admit tha there is a USE 
for a DOS emulator....  thats pretty good for UNIX steeped folk...

------------------------------

From: [email-masked] (Paul Pearson)
Subject: Why doesn't EMAIL work?
Date: Sat, 8 Oct 1994 12:28:59

I can't seem to get email working correctly with Linux 1.0.9 
(the Slackware distribution).  I am using elm on the virutual 
consoles and CAN send messages to other users on the same 
system.  However, if the user doesn't have an account on the 
local system, the mail never reaches them.  Also, mail coming 
from a remote system never arrives at my Linux box.  I have 
tried mailing directly to the Linux box's IP address (e.g. 
[email-masked]) rather than utilizing the name server.

I assume that 'deliver' is working correctly because local mail 
works fine.  I guess my question is, how does 'smail' need to 
be set up and does it need to run as a background proccess all 
the time in order for mail to be delivered/received to/from 
remote sites?

Also, I used 'mail' with the verbose mode turned on and I see a 
message that says something like:

     read error in output from '/usr/bin/uuname'
     
ANY suggestions would be helpful -- and please don't say "read 
the HOWTO" because I have and it doesn't seem to help me 
(perhaps it has the answer but I don't see it).  Thanks.

--Paul Pearson
  [email-masked]
  "Please Wait... Brain booting from floppy."

------------------------------

From: Kevin Martinez <[email-masked]>
Subject: Re: Q: Max # of ftp/gopher/http users on a Linux PC?
Date: Fri, 7 Oct 1994 06:51:45 GMT

Warren Ernst wrote:

>What I'm really looking for is something like: "a 486-66 starts to bog
>down at 100 ftp logins transferring data out, but a p60 could take at
>least 400 without breaking into a sweat".

>We aren't sure what the average size of concurrent ftp/http accesses will
>be, but we would like to be more than 200. If a Linux PC is simply
>incapible of doing this, we would probably get a used Sun.

Running "yamm" shows me this data from the configuration page:

Sysname        : Linux                                                
Nodename       : mariko                                               
Release        : 1.1.49                                                 
Machine        : i486                                                  
Version        : #1 Mon Sep 5 19:26:24 PDT 1994                     
C.P.U.         : i486                                                     
Max Proc.      : 999 ( Maximum number of simultaneous processes per user 
Ticks          : 100 ( Number of clock intervals per second )
Max open file  : 256                                                   
Job control    : Yes ( System support POSIX job control )
Max processes  : 128 ( Maximum number of total simultaneous processes )
Page size      : 4096                                                  
Physical_memory: 5309 Pages. ( 21745664 KBytes, 20.74 MByte )

There are some parameters here which show limits to my machine in its 
current configuration. It looks like I couldn't have 200 different login 
sessions going at once. There are probably some places in the kernel to 
change these parameters (Similar to SunOS?). Has anyone done this? 

For a machine dedicated to servicing many users doing FTP or similar 
processes, I/O bandwidth and RAM probably mean more than a hotter CPU 
once you are above a certain CPU minimum. 16 MB doesn't seem like enough. 
It certainly wouldn't be enough RAM for a Sparc to support 200 users in 
interactive sessions without lots of swapping, don't know about ftp  
sessions.
-- 
========================================================================
 Kevin Martinez   [email-masked]   Member of the John De Armond Fan Club
 I owe all my success to Roly Poly Fish Heads!     Call: 1 510 676 1111
========================================================================

------------------------------

From: [email-masked] (Phil Hughes)
Subject: Re: New book for Linux!
Date: Sun, 9 Oct 1994 01:45:30 GMT

David Reeve Sward ([email-masked]) wrote:
: Well, I just heard of it.  In the October CACM on page 43 is an ad from
: Springer-Verlag for _Linux_-_Unleashing_the_Workstation_in_Your_PC_. 
: The cover has a picture of a "Friends don't let friends use DOS" button
: :).

This book is a translation of a book in German.  Look for a review (in
German) of the original book in the December issue of Linux Journal.
The English translation is "almost done" (we got a comb bound version for
out booth at Unix Expo last week).  We expect to have the real book in a
couple of weeks.  And we will review the English version (in English :-)
).
-- 
Phil Hughes, Publisher, Linux Journal (206) 527-3385
usually [email-masked], sometimes [email-masked]

------------------------------

From: [email-masked] ()
Subject: Re: Lilo booting last booted OS.
Date: 7 Oct 1994 07:04:42 GMT

Bruno Van Wilder ([email-masked]) wrote:
: [email-masked] wrote:
: : Hi all,

: : I would like to know if it is possible that Lilo will boot the last booted
: : OS. E.g. if I boot Linux then Lilo will keep on booting linux 'till I select
: : another OS (MS-Dos). I liked this feature in the SLS distribution (0.99.X),
: : but it is gone in the slackware distribution.

: I do not think it is possible yet, but it is a good idea indeed.

  An MSDOS utility called BootEasy does just that. Look for it with
 name bteasy or such in your favourite archie.

  C U!
 
   Mario Valente

--
Et in Arcadia Ego

------------------------------

From: [email-masked] (Tom Wilson)
Crossposted-To: comp.os.linux.development
Subject: Re: Beautifying Linux/Xfree
Date: 8 Oct 1994 22:28:57 -0400

Ummm, not trying to be picky or anything, but you're crediting me
with the original posters work.  I was trying to say basically the
same thing you were, except that I was adding that to be VUE-like 
you might need motif...myself, I've used fvwm and xfm to set up a 
fairly handy desktop...

In article <[email-masked]>,
Bill C. Riemers <[email-masked]> wrote:
:>>>>> "Tom" == Tom Wilson <[email-masked]> writes:
:
:    Tom> In article <[email-masked]>, Alexandra Griffin
:    Tom> <[email-masked]> wrote:

not mine.....
:
:    Tom> :3) Another idea from HP-VUE... this environment
:    Tom> features a "console :bar" area at the bottom of the screen,
:    Tom> containing buttons to switch :virtual desktops, invocation
:    Tom> icons for commonly-used apps, small icons
:
:
:It already exists.  Its called "GoodStuff" and is part of fvwm.  For
:example, I prefere to put stuff on the side.  So I have a left
:"management" area that contains the following:
:

YUP!

{CHOMP}
:By using the side, istead of the bottom, I still have about 1024x910
:of my 1152x910 display left.  Leaving me ruffly a square screen area 
:to work with.
:
:    Tom> I've been toying with somthing quite similar using fvwm and
:    Tom> xfm...the functionality is quite similar if you don't mind
:    Tom> using fvwm's virtual desktops.
:
:Whats wrong with them.  I prefere virtual screens to virtual desktops,

NOTHING AT ALL.  PLease, don't be so sensitive..I'm not talking
about your children.  Personally, I think they're fine.  My remarks
were aimed at the *ORIGINAL POSTER*.

:but normally I use a combination of both.  i.e. Completely separate
:projects go on different desktops, the same project overflows to
:different virtual screens.  Since it is a pain sticking windows
:switching to another desktop and then unsticking them (the only way
:I know to move windows between desktops) virtual screens tend to
:be easier.

Sounds fine to me.
 
:    Tom> :for system functions (logging out...), and space for a
:    Tom> clock, :calendar, Xload bargraph, & other stuff.  The
:    Tom> appearance of the bar is :very professional, with little
:    Tom> beveled insets for each item.  I'm

Once again, this is the *****original poster,****** *NOT* me.
 
:You can arrange your desktop however you want.  I agree this should be
:much easier to configure.  It took me quite awhile to come-up with
:something I think looks just as professional as as the HP-UX
:environment.  Even longer to improve on it.  "vuewm" is you can't
:load your own background, you have to stick to ugly patterns.  

You can load whatever you please...you should see the variety of
wallpapers that my coworkers use.

:I much prefere being able to have 'xv" load a random picture from
:CD every 5 or so minuites, so I'm not constantly looking at the
:same thing.

Probably quite possible from VUE, but you have to remember, I
was the one that was speaking for what was already there,
not *for* VUE.  The overhead is excessive, it's based on motif,
which, as we all know is *not free*.  Nice, mind you, but I'm
quite satisfied with what I've put together with X, fvwm, and xfm.

:
:What is really needed is:
:
:  1. A Null box.  i.e. Something that can be used to mark areas for
:     xload, xbiff, and icons even when they aren't present, but as
:     far as the window manager is conserned don't exist.
:
:  2. Auto-resume from last session.  i.e.  Each time I end-up opening
:     several xterms in one screen, emacs somewhere else, Mosaic, ...
:     if fvwm could remember what I had running when I quit and ask
:     me to restart them again, it would be quite a timesaver.
 
This is the one thing that VUE has that I like, except that it doesn't
query, you.  Does a nice job of remembering what had running if you
ask it to, though.  Now, if its desktops were threaded :-).
-- 
/-----------------------------------------------------------------------\
|  Tom Wilson                      |  "I can't complain, but sometimes  |
|  [email-masked]       |   I still do."                     |
|                                  |                -Joe Walsh          |

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************